Subject: Re: Stable Linux kernel 2.6 for MPC8XX

From: Carlos Mitidieri <[email-masked]>
Date: Tue, 14 Mar 2006 12:56:24 +0100

Hi, 

It seems that the nbench is not the most appropriate suit for comparing OSs 
(or OS versions), since its programs exercise only the CPU/memory 
subs-system. More suitable for comparing OSs are suites like unixbench and 
lmbench, which include many programs that exercise the OS calls/services.

Please find attached the results I have obtained when running the 
unixbench-4.1.0 for the kernels 2.4.26  and 2.6.14.  The 2.4.26 has better 
indexes for 5 of the 6 tests from unixbench that I have run.  

On Tuesday 14 March 2006 08:50, David Jander wrote:
> On Friday 10 March 2006 16:33, Wolfgang Denk wrote:
> > > I believe most of those observations and measurements are not valid
> > > anymore. Kernel 2.6 for 8xx has come a long way since this article was
> > > written. It might have been true back then, but it surely isn't
> > > anymore.
> >
> > So did you actually run any benchmarks? Specilations on what might be
> > or should be are not really helpful.
>
> Of course I did. Otherwise I wouldn't say this.
>
> Here's some benchmark data from nbench (sorry didn't try lmbench yet):
>
> The same ELDK (version 3.1.1) for both kernels, running on exactly the same
> board (MPC852T 100MHz, with 32Mbyte SDRAM and 32Mbyte Flash running from
> NFS root). I removed some FPU benchmarks, as they are pretty meaningless
> for this board and take an ethernity otherwise.

Best regards,
-- 
Carlos Mitidieri
SYSGO AG - Office Ulm